Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export.oasis
Class TableBuilder

    java.lang.Object
      net.sf.jasperreports.engine.export.oasis.TableBuilder

    public class TableBuilder

extends java.lang.Object

Version:
  $Id: TableBuilder.java 3941 2010-08-20 10:55:10Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Constructor Summary
`protected` | `TableBuilder(int reportIndex, int pageIndex, java.io.Writer bodyWriter, java.io.Writer styleWriter)`
`protected` | `TableBuilder(java.lang.String name, java.io.Writer bodyWriter, java.io.Writer styleWriter)`

Method Summary
`void` | `buildCellFooter()`
`void` | `buildCellHeader(java.lang.String cellStyleName, int colSpan, int rowSpan)`
`void` | `buildColumnFooter()`
`void` | `buildColumnHeader(int colIndex)`
`void` | `buildColumnStyle(int colIndex, int colWidth)`
`void` | `buildRowFooter()`
`void` | `buildRowHeader(int rowIndex)`
`void` | `buildRowStyle(int rowIndex, int rowHeight)`
`void` | `buildTableFooter()`
`void` | `buildTableHeader()`
`void` | `buildTableStyle(int width)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableBuilder

    protected TableBuilder(java.lang.String name,
                           java.io.Writer bodyWriter,
                           java.io.Writer styleWriter)

### TableBuilder

    protected TableBuilder(int reportIndex,
                           int pageIndex,
                           java.io.Writer bodyWriter,
                           java.io.Writer styleWriter)

Method Detail

### buildTableStyle

    public void buildTableStyle(int width)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### buildTableHeader

    public void buildTableHeader()
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### buildTableFooter

    public void buildTableFooter()
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### buildRowStyle

    public void buildRowStyle(int rowIndex,
                              int rowHeight)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### buildRowHeader

    public void buildRowHeader(int rowIndex)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### buildRowFooter

    public void buildRowFooter()
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### buildColumnStyle

    public void buildColumnStyle(int colIndex,
                                 int colWidth)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### buildColumnHeader

    public void buildColumnHeader(int colIndex)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### buildColumnFooter

    public void buildColumnFooter()
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### buildCellHeader

    public void buildCellHeader(java.lang.String cellStyleName,
                                int colSpan,
                                int rowSpan)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### buildCellFooter

    public void buildCellFooter()
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com